"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _AbstractPageTransitionComponent = _interopRequireDefault(require("./AbstractPageTransitionComponent"));

var _scrollTrackerPlugin = require("../../lib/scrollTrackerPlugin");

var _scrollTrackerEvents = require("../eventbus/scrollTrackerEvents");

var _default = {
  name: 'AbstractPageScrollComponent',
  extends: _AbstractPageTransitionComponent.default,
  beforeDestroy: function beforeDestroy() {
    (0, _scrollTrackerPlugin.getEventBus)().$emit(_scrollTrackerEvents.REMOVE_COMPONENTS, this.scrollComponents);
  },
  beforeCreate: function beforeCreate() {
    this.scrollComponents = {};
  },
  methods: {
    onBeforeRouteUpdate: function onBeforeRouteUpdate(to, from) {
      if (to.path !== from.path) {
        (0, _scrollTrackerPlugin.getEventBus)().$emit(_scrollTrackerEvents.REMOVE_COMPONENTS, this.scrollComponents);
        this.scrollComponents = {};
      }
    },
    handleScrollComponentReady: function handleScrollComponentReady(component) {
      // keep reference of the scroll-components
      if (component.addToScrollTracker) {
        this.scrollComponents[component.componentId] = component;
      }
    }
  }
};
exports.default = _default;