"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _vueTypes = _interopRequireDefault(require("vue-types"));

var _scrollTrackerComponentManager = require("scroll-tracker-component-manager");

var _AbstractTransitionComponent = _interopRequireDefault(require("./AbstractTransitionComponent"));

var _default = {
  name: 'AbstractScrollComponent',
  extends: _AbstractTransitionComponent.default,
  props: {
    addToScrollTracker: _vueTypes.default.bool.def(true),
    transitionInThreshold: _vueTypes.default.number.def(0),
    inViewProgressThreshold: _vueTypes.default.number.def(0)
  },
  data: function data() {
    return {
      inView: false
    };
  },
  created: function created() {
    this.scrollDirection = _scrollTrackerComponentManager.Direction.FORWARD;
    this.currentViewProgress = 0;
    this.hasEntered = false;
  },
  methods: {
    enterView: function enterView() {
      var _this = this;

      this.inView = true;
      return this.transitionIn().then(function () {
        return _this.startLoopingAnimation();
      });
    },
    leaveView: function leaveView() {
      this.inView = false;
      this.stopLoopingAnimation();
    },
    beyondView: function beyondView() {
      if (!this.hasEntered) {
        this.transitionIn();
      }
    },
    // eslint-disable-next-line
    inViewProgress: function inViewProgress(progress) {}
  }
};
exports.default = _default;