"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = exports.getEventBus = void 0;

var _objectSpread3 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _scrollTrackerComponentManager = require("scroll-tracker-component-manager");

var _vue = _interopRequireDefault(require("vue"));

var _scrollTrackerEvents = require("../lib/eventbus/scrollTrackerEvents");

var eventBus;

var getEventBus = function getEventBus() {
  if (eventBus === undefined) {
    throw new Error('Plugin has not been initialized yet, cannot get eventBus');
  }

  return eventBus;
};
/**
 * DOCS: https://github.com/riccoarntz/scroll-tracker-component-manager/wiki
 */


exports.getEventBus = getEventBus;
var defaultOptions = {
  config: {
    // component settings
    element: '$el',
    enterView: 'enterView',
    leaveView: 'leaveView',
    beyondView: 'beyondView',
    inViewProgress: 'inViewProgress',
    inViewProgressThreshold: 'inViewProgressThreshold',
    enterViewThreshold: 'transitionInThreshold',
    hasEntered: 'hasEntered',
    currentViewProgress: 'currentViewProgress',
    componentId: 'componentId',
    // global settings
    inViewProgressEnabled: false,

    /**
     * When this is set to a container other than the window, you need to set the html/body tag to a fixed
     height(100%) and overflow: hidden. And set the container to a fixed height(100%) and overflow: auto.
     */
    container: window,
    setDebugLabel: true,
    debugBorderColor: 'red',
    scrollThrottle: 100,
    resizeDebounce: 100,
    axis: _scrollTrackerComponentManager.Axis.Y,

    /**
     * When this is enabled you should set the container(body) to a fixed height(100%).
     */
    enableSmoothScroll: false,
    smoothScrollOptions: {
      damping: 0.1,
      thumbMinSize: 20,
      renderByPixels: true,
      alwaysShowTracks: false,
      continuousScrolling: true,
      wheelEventTarget: null,
      plugins: {}
    }
  }
};
var _default = {
  install: function install(Vue, userOptions) {
    if (userOptions === void 0) {
      userOptions = {};
    }

    eventBus = new _vue.default(); // eslint-disable-next-line

    Vue.prototype.$scrollTracker = new _scrollTrackerComponentManager.ScrollTrackerComponentManager((0, _objectSpread3.default)({}, defaultOptions.config, {}, userOptions.config));
    getEventBus().$on(_scrollTrackerEvents.ADD_COMPONENTS, function (components) {
      Vue.prototype.$scrollTracker.addComponentsToScrollTrackers(components);
    });
    getEventBus().$on(_scrollTrackerEvents.REMOVE_COMPONENTS, function (components) {
      Vue.prototype.$scrollTracker.removeComponentsFromScrollTracker(components);
    });
  }
};
exports.default = _default;