import AbstractTransitionController from 'transition-controller';
import { IAbstractTransitionComponent } from '../interface/IAbstractTransitionComponent';
export default abstract class AbstractVueTransitionController extends AbstractTransitionController<IAbstractTransitionComponent> {
    /**
     * This method finds a component based on a string, a html element or the instance.
     *
     * @protected
     * @param {string | HTMLElement | IAbstractTransitionComponent} component The selector for the component
     * @returns {IAbstractTransitionComponent} The instance of the component you requested
     */
    protected getComponent(component: string | HTMLElement | IAbstractTransitionComponent): IAbstractTransitionComponent;
}
